SeparatorRendererBase (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.html.SeparatorRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class SeparatorRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.html.SeparatorRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  SeparatorRenderer

    public class SeparatorRendererBase

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Field Summary
`static int` | `DEFAULT_HEIGHT`
`static java.lang.String` | `IMAGE_CLASS_BEVEL`
`static java.lang.String` | `IMAGE_CLASS_SIMPLE`
`static java.lang.String` | `LINE_TYPE_BEVEL`
`static java.lang.String` | `LINE_TYPE_DASHED`
`static java.lang.String` | `LINE_TYPE_DOTTED`
`static java.lang.String` | `LINE_TYPE_DOUBLE`
`static java.lang.String` | `LINE_TYPE_NONE`
`static java.lang.String` | `LINE_TYPE_SOLID`
`static java.lang.String[]` | `SUPPORTED_TYPES`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`SeparatorRendererBase()`

Method Summary
`java.lang.String` | `backgroundImage(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()`
`boolean` | `getRendersChildren()`
`java.lang.String` | `getStyle(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected boolean` | `isSupportedLineType(java.lang.String lineType)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMAGE_CLASS_BEVEL

    public static final java.lang.String IMAGE_CLASS_BEVEL

See Also:
  Constant Field Values

### IMAGE_CLASS_SIMPLE

    public static final java.lang.String IMAGE_CLASS_SIMPLE

See Also:
  Constant Field Values

### DEFAULT_HEIGHT

    public static final int DEFAULT_HEIGHT

See Also:
  Constant Field Values

### LINE_TYPE_NONE

    public static final java.lang.String LINE_TYPE_NONE

See Also:
  Constant Field Values

### LINE_TYPE_BEVEL

    public static final java.lang.String LINE_TYPE_BEVEL

See Also:
  Constant Field Values

### LINE_TYPE_DOUBLE

    public static final java.lang.String LINE_TYPE_DOUBLE

See Also:
  Constant Field Values

### LINE_TYPE_DOTTED

    public static final java.lang.String LINE_TYPE_DOTTED

See Also:
  Constant Field Values

### LINE_TYPE_DASHED

    public static final java.lang.String LINE_TYPE_DASHED

See Also:
  Constant Field Values

### LINE_TYPE_SOLID

    public static final java.lang.String LINE_TYPE_SOLID

See Also:
  Constant Field Values

### SUPPORTED_TYPES

    public static final java.lang.String[] SUPPORTED_TYPES

Constructor Detail

### SeparatorRendererBase

    public SeparatorRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### isSupportedLineType

    protected boolean isSupportedLineType(java.lang.String lineType)

### backgroundImage

    public java.lang.String backgroundImage(javax.faces.context.FacesContext context,
                                            javax.faces.component.UIComponent component)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStyle

    public java.lang.String getStyle(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.